Modify

Opened 4 years ago

Closed 3 years ago

#13185 closed defect (othersoftware)

Cant input Japanese text

Reported by: jmaguro@… Owned by: jmaguro@…
Priority: normal Milestone:
Component: Core bugreport Version: tested
Keywords: japanese, input method, mozc, linux Cc:

Description (last modified by Don-vip)

I using Ubuntu 16.4.
And using Mozc-Fcitx for input japanese texts on every application.
But , I can't use these IME on JOSM.
Behavior of ordinary IME , the icon will be displayed in the task tray when it is enabled .
But when i tryed turn on IME on JOSM,these icons are not displayed.
And I can type in only the alphabet and numbers .

environment
-Ubuntu16.4 64bit
-mozc-utils-gui 2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1.1
-fcitx 1:4.2.9.1-1ubuntu1
-JOSM 10526

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-07-11 23:04:49 +0200 (Mon, 11 Jul 2016)
Build-Date:2016-07-12 01:31:48
Revision:10526
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10526 ja) Linux Ubuntu 16.04 LTS
Memory Usage: 597 MB / 1751 MB (284 MB allocated, but free)
Java version: 1.8.0_91-8u91-b14-0ubuntu4~16.04.1-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Dataset consistency test: No problems found

Plugins:
- Mapillary (32639)
- PicLayer (32495)
- Tracer2 (32474)
- apache-commons (32584)
- apache-http (32584)
- buildings_tools (32639)
- ejml (32639)
- geotools (32584)
- jogl (1.0.46)
- jts (32539)
- kendzi3d (1.0.190.1)
- kendzi3d-resources (0.0.1)
- kendzi3d_Improved_by_Andrei
- log4j (32309)
- opendata (32584)
- utilsplugin2 (32584)

Tagging presets:
- http://zibi.openstreetmap.org.pl/kendzi/k/Simple3dPreset/s3db-preset.zip

Last errors/warnings:
- W: ファイル <josm.pref>/cache/tiles/TMS_INDEX_v2.key が削除できませんでした
- W: ファイル <josm.pref>/cache/tiles/TMS_INDEX_v2.data が削除できませんでした
- W: ファイル <josm.pref>/cache/tiles/TMS.key が削除できませんでした
- W: ファイル <josm.pref>/cache/tiles/TMS.data が削除できませんでした
- W: ファイル <josm.pref>/cache/tiles/TMS_BLOCK.key が削除できませんでした
- W: ファイル <josm.pref>/cache/tiles/TMS_BLOCK.data が削除できませんでした
- W: ファイル <josm.pref>/cache/tiles/TMS_INDEX.key が削除できませんでした
- W: ファイル <josm.pref>/cache/tiles/TMS_INDEX.data が削除できませんでした
- W: ファイル <josm.pref>/cache/tiles/TMS_INDEX_v2.key が削除できませんでした
- W: ファイル <josm.pref>/cache/tiles/TMS_INDEX_v2.data が削除できませんでした

Attachments (1)

20160722_JOSM_Status_report.osm (32.5 KB) - added by jmaguro@… 4 years ago.
JOSM Status report.

Download all attachments as: .zip

Change History (8)

comment:1 Changed 4 years ago by Don-vip

Owner: changed from team to jmaguro@…
Status: newneedinfo

Can you please attach your status report?

Changed 4 years ago by jmaguro@…

JOSM Status report.

comment:2 Changed 4 years ago by jmaguro@…

I attached logfile.
But i mistook the extension of the file :)

comment:3 Changed 4 years ago by jmaguro@…

This problem has occurred from an older version about 2-3 .

comment:4 in reply to:  3 Changed 4 years ago by bastiK

Replying to jmaguro@…:

This problem has occurred from an older version about 2-3 .

Does this mean it did work with an earlier version of JOSM? If so, it would be very helpful to know what version introduced the bug, see download archive.

Behavior of ordinary IME , the icon will be displayed in the task tray when it is enabled .
But when i tryed turn on IME on JOSM,these icons are not displayed.

I'm also using mozc with fcitx (but on xubuntu 15.10) and I can enter Japanese text in JOSM. The virtual keyboard icon is permanently visible in the upper right corner of the screen. Alternatively, one can use a keyboard shortcut to switch input methods (usually Ctrl+Space). I'm not certain what you mean by icons in the task tray, can you make a screenshot?

My setup:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-07-11 23:04:49 +0200 (Mon, 11 Jul 2016)
Build-Date:2016-07-12 01:31:48
Revision:10526
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10526 en) Linux Ubuntu 15.10
Memory Usage: 361 MB / 1764 MB (299 MB allocated, but free)
Java version: 1.8.0_91-8u91-b14-0ubuntu4~15.10.1-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
VM arguments: [-Djosm.restart=true, -Djava.net.useSystemProxies=true]

comment:5 Changed 4 years ago by Don-vip

Description: modified (diff)

comment:6 Changed 4 years ago by jmaguro@…

Problem has been reproduced in following versions.

josm-snapshot-3597.jar
josm-snapshot-8985.jar
josm-snapshot-10583.jar

I think the cause of the problem is not due to version of JOSM.
I 'll try to reproduce in a different environment.

comment:7 Changed 3 years ago by Don-vip

Keywords: linux added; JOSM removed
Resolution: othersoftware
Status: needinfoclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain jmaguro@….
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.